Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model
Interface SWRLConstants.BuiltIns

Enclosing interface:
  SWRLConstants

    public static interface SWRLConstants.BuiltIns

Field Summary
`static String` | `abs`
`static String` | `ADD`
`static String` | `ADD_DATE_TIME_DURATION_TO_TIME`
`static String` | `ADD_DAY_TIME_DURATION_TO_DATE`
`static String` | `ADD_DAY_TIME_DURATION_TO_DATE_TIME`
`static String` | `ADD_DAY_TIME_DURATIONS`
`static String` | `ADD_YEAR_MONTH_DURATION_TO_DATE`
`static String` | `ADD_YEAR_MONTH_DURATION_TO_DATE_TIME`
`static String` | `ADD_YEAR_MONTH_DURATIONS`
`static String` | `ANY_URI`
`static String` | `BOOLEAN_NOT`
`static String` | `CEILING`
`static String` | `CONTAINS`
`static String` | `CONTAINS_IGNORE_CASE`
`static String` | `COS`
`static String` | `DATE_TIME`
`static String` | `DAY_TIME_DURATION`
`static String` | `DIVIDE`
`static String` | `DIVIDE_DAY_TIME_DURATIONS`
`static String` | `DIVIDE_YEAR_MONTH_DURATIONS`
`static String` | `EMPTY`
`static String` | `ENDS_WITH`
`static String` | `EQUAL`
`static String` | `EQUAL_IGNORE_CASE`
`static String` | `FIRST`
`static String` | `FLOOR`
`static String` | `GREATER_THAN`
`static String` | `GREATER_THAN_OR_EQUAL`
`static String` | `INTEGER_DIVIDE`
`static String` | `LENGTH`
`static String` | `LESS_THAN`
`static String` | `LESS_THAN_OR_EQUAL`
`static String` | `LIST_CONCAT`
`static String` | `LIST_INTERSECTION`
`static String` | `LIST_SUBTRACTION`
`static String` | `LOWER_CASE`
`static String` | `MATCHES`
`static String` | `MEMBER`
`static String` | `MOD`
`static String` | `MULTIPLY`
`static String` | `MULTIPLY_DAY_TIME_DURATIONS`
`static String` | `MULTIPLY_YEAR_MONTH_DURATIONS`
`static String` | `NORMALIZE_SPACE`
`static String` | `NOT_EQUAL`
`static String` | `REPLACE`
`static String` | `RESOLVE_URI`
`static String` | `REST`
`static String` | `ROUND`
`static String` | `ROUND_HALF_TO_EVEN`
`static String` | `SIN`
`static String` | `STARTS_WITH`
`static String` | `STRING_CONCAT`
`static String` | `stringLength`
`static String` | `SUBLIST`
`static String` | `SUBSTRING`
`static String` | `SUBSTRING_AFTER`
`static String` | `SUBSTRING_BEFORE`
`static String` | `SUBTRACT`
`static String` | `SUBTRACT_DATE_TIME_DURATION_FROM_TIME`
`static String` | `SUBTRACT_DATE_TIME_YEILDING_DAY_TIME_DURATION`
`static String` | `SUBTRACT_DATE_TIME_YEILDING_YEAR_MONTH_DURATION`
`static String` | `SUBTRACT_DATES`
`static String` | `SUBTRACT_DAY_TIME_DURATION_FROM_DATE`
`static String` | `SUBTRACT_DAY_TIME_DURATION_FROM_DATE_TIME`
`static String` | `SUBTRACT_DAY_TIME_DURATIONS`
`static String` | `SUBTRACT_TIMES`
`static String` | `SUBTRACT_YEAR_MONTH_DURATION_FROM_DATE`
`static String` | `SUBTRACT_YEAR_MONTH_DURATION_FROM_DATE_TIME`
`static String` | `SUBTRACT_YEAR_MONTH_DURATIONS`
`static String` | `TAN`
`static String` | `TIME`
`static String` | `TOKENIZE`
`static String` | `TRANSLATE`
`static String` | `UNARY_MINUS`
`static String` | `UNARY_PLUS`
`static String` | `UPPER_CASE`
`static String` | `YEAR_MONTH_DURATION`

Field Detail

### EQUAL

    static final String EQUAL

See Also:
  Constant Field Values

### NOT_EQUAL

    static final String NOT_EQUAL

See Also:
  Constant Field Values

### LESS_THAN

    static final String LESS_THAN

See Also:
  Constant Field Values

### LESS_THAN_OR_EQUAL

    static final String LESS_THAN_OR_EQUAL

See Also:
  Constant Field Values

### GREATER_THAN

    static final String GREATER_THAN

See Also:
  Constant Field Values

### GREATER_THAN_OR_EQUAL

    static final String GREATER_THAN_OR_EQUAL

See Also:
  Constant Field Values

### ADD

    static final String ADD

See Also:
  Constant Field Values

### SUBTRACT

    static final String SUBTRACT

See Also:
  Constant Field Values

### MULTIPLY

    static final String MULTIPLY

See Also:
  Constant Field Values

### DIVIDE

    static final String DIVIDE

See Also:
  Constant Field Values

### INTEGER_DIVIDE

    static final String INTEGER_DIVIDE

See Also:
  Constant Field Values

### MOD

    static final String MOD

See Also:
  Constant Field Values

### UNARY_PLUS

    static final String UNARY_PLUS

See Also:
  Constant Field Values

### UNARY_MINUS

    static final String UNARY_MINUS

See Also:
  Constant Field Values

### abs

    static final String abs

See Also:
  Constant Field Values

### CEILING

    static final String CEILING

See Also:
  Constant Field Values

### FLOOR

    static final String FLOOR

See Also:
  Constant Field Values

### ROUND

    static final String ROUND

See Also:
  Constant Field Values

### ROUND_HALF_TO_EVEN

    static final String ROUND_HALF_TO_EVEN

See Also:
  Constant Field Values

### SIN

    static final String SIN

See Also:
  Constant Field Values

### COS

    static final String COS

See Also:
  Constant Field Values

### TAN

    static final String TAN

See Also:
  Constant Field Values

### BOOLEAN_NOT

    static final String BOOLEAN_NOT

See Also:
  Constant Field Values

### EQUAL_IGNORE_CASE

    static final String EQUAL_IGNORE_CASE

See Also:
  Constant Field Values

### STRING_CONCAT

    static final String STRING_CONCAT

See Also:
  Constant Field Values

### SUBSTRING

    static final String SUBSTRING

See Also:
  Constant Field Values

### stringLength

    static final String stringLength

See Also:
  Constant Field Values

### NORMALIZE_SPACE

    static final String NORMALIZE_SPACE

See Also:
  Constant Field Values

### UPPER_CASE

    static final String UPPER_CASE

See Also:
  Constant Field Values

### LOWER_CASE

    static final String LOWER_CASE

See Also:
  Constant Field Values

### TRANSLATE

    static final String TRANSLATE

See Also:
  Constant Field Values

### CONTAINS

    static final String CONTAINS

See Also:
  Constant Field Values

### CONTAINS_IGNORE_CASE

    static final String CONTAINS_IGNORE_CASE

See Also:
  Constant Field Values

### STARTS_WITH

    static final String STARTS_WITH

See Also:
  Constant Field Values

### ENDS_WITH

    static final String ENDS_WITH

See Also:
  Constant Field Values

### SUBSTRING_BEFORE

    static final String SUBSTRING_BEFORE

See Also:
  Constant Field Values

### SUBSTRING_AFTER

    static final String SUBSTRING_AFTER

See Also:
  Constant Field Values

### MATCHES

    static final String MATCHES

See Also:
  Constant Field Values

### REPLACE

    static final String REPLACE

See Also:
  Constant Field Values

### TOKENIZE

    static final String TOKENIZE

See Also:
  Constant Field Values

### YEAR_MONTH_DURATION

    static final String YEAR_MONTH_DURATION

See Also:
  Constant Field Values

### DAY_TIME_DURATION

    static final String DAY_TIME_DURATION

See Also:
  Constant Field Values

### DATE_TIME

    static final String DATE_TIME

See Also:
  Constant Field Values

### TIME

    static final String TIME

See Also:
  Constant Field Values

### ADD_YEAR_MONTH_DURATIONS

    static final String ADD_YEAR_MONTH_DURATIONS

See Also:
  Constant Field Values

### SUBTRACT_YEAR_MONTH_DURATIONS

    static final String SUBTRACT_YEAR_MONTH_DURATIONS

See Also:
  Constant Field Values

### MULTIPLY_YEAR_MONTH_DURATIONS

    static final String MULTIPLY_YEAR_MONTH_DURATIONS

See Also:
  Constant Field Values

### DIVIDE_YEAR_MONTH_DURATIONS

    static final String DIVIDE_YEAR_MONTH_DURATIONS

See Also:
  Constant Field Values

### ADD_DAY_TIME_DURATIONS

    static final String ADD_DAY_TIME_DURATIONS

See Also:
  Constant Field Values

### SUBTRACT_DAY_TIME_DURATIONS

    static final String SUBTRACT_DAY_TIME_DURATIONS

See Also:
  Constant Field Values

### MULTIPLY_DAY_TIME_DURATIONS

    static final String MULTIPLY_DAY_TIME_DURATIONS

See Also:
  Constant Field Values

### DIVIDE_DAY_TIME_DURATIONS

    static final String DIVIDE_DAY_TIME_DURATIONS

See Also:
  Constant Field Values

### SUBTRACT_DATES

    static final String SUBTRACT_DATES

See Also:
  Constant Field Values

### SUBTRACT_TIMES

    static final String SUBTRACT_TIMES

See Also:
  Constant Field Values

### ADD_YEAR_MONTH_DURATION_TO_DATE_TIME

    static final String ADD_YEAR_MONTH_DURATION_TO_DATE_TIME

See Also:
  Constant Field Values

### ADD_DAY_TIME_DURATION_TO_DATE_TIME

    static final String ADD_DAY_TIME_DURATION_TO_DATE_TIME

See Also:
  Constant Field Values

### SUBTRACT_YEAR_MONTH_DURATION_FROM_DATE_TIME

    static final String SUBTRACT_YEAR_MONTH_DURATION_FROM_DATE_TIME

See Also:
  Constant Field Values

### SUBTRACT_DAY_TIME_DURATION_FROM_DATE_TIME

    static final String SUBTRACT_DAY_TIME_DURATION_FROM_DATE_TIME

See Also:
  Constant Field Values

### ADD_YEAR_MONTH_DURATION_TO_DATE

    static final String ADD_YEAR_MONTH_DURATION_TO_DATE

See Also:
  Constant Field Values

### ADD_DAY_TIME_DURATION_TO_DATE

    static final String ADD_DAY_TIME_DURATION_TO_DATE

See Also:
  Constant Field Values

### SUBTRACT_YEAR_MONTH_DURATION_FROM_DATE

    static final String SUBTRACT_YEAR_MONTH_DURATION_FROM_DATE

See Also:
  Constant Field Values

### SUBTRACT_DAY_TIME_DURATION_FROM_DATE

    static final String SUBTRACT_DAY_TIME_DURATION_FROM_DATE

See Also:
  Constant Field Values

### ADD_DATE_TIME_DURATION_TO_TIME

    static final String ADD_DATE_TIME_DURATION_TO_TIME

See Also:
  Constant Field Values

### SUBTRACT_DATE_TIME_DURATION_FROM_TIME

    static final String SUBTRACT_DATE_TIME_DURATION_FROM_TIME

See Also:
  Constant Field Values

### SUBTRACT_DATE_TIME_YEILDING_YEAR_MONTH_DURATION

    static final String SUBTRACT_DATE_TIME_YEILDING_YEAR_MONTH_DURATION

See Also:
  Constant Field Values

### SUBTRACT_DATE_TIME_YEILDING_DAY_TIME_DURATION

    static final String SUBTRACT_DATE_TIME_YEILDING_DAY_TIME_DURATION

See Also:
  Constant Field Values

### RESOLVE_URI

    static final String RESOLVE_URI

See Also:
  Constant Field Values

### ANY_URI

    static final String ANY_URI

See Also:
  Constant Field Values

### LIST_CONCAT

    static final String LIST_CONCAT

See Also:
  Constant Field Values

### LIST_INTERSECTION

    static final String LIST_INTERSECTION

See Also:
  Constant Field Values

### LIST_SUBTRACTION

    static final String LIST_SUBTRACTION

See Also:
  Constant Field Values

### MEMBER

    static final String MEMBER

See Also:
  Constant Field Values

### LENGTH

    static final String LENGTH

See Also:
  Constant Field Values

### FIRST

    static final String FIRST

See Also:
  Constant Field Values

### REST

    static final String REST

See Also:
  Constant Field Values

### SUBLIST

    static final String SUBLIST

See Also:
  Constant Field Values

### EMPTY

    static final String EMPTY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.